org.apache.cassandra.db.partitions

## Interface UnfilteredPartitionIterator

All Superinterfaces:
  java.lang.AutoCloseable, BasePartitionIterator<UnfilteredRowIterator>, CloseableIterator<UnfilteredRowIterator>, java.util.Iterator<UnfilteredRowIterator>

All Known Subinterfaces:
  ISSTableScanner

All Known Implementing Classes:
  AbstractUnfilteredPartitionIterator, BigTableScanner, BigTableScanner.EmptySSTableScanner, CompactionIterator, Memtable.MemtableUnfilteredPartitionIterator, SingletonUnfilteredPartitionIterator

    public interface UnfilteredPartitionIterator
    extends BasePartitionIterator<UnfilteredRowIterator>

An iterator over a number of unfiltered partitions (i.e. partitions containing deletion informations). The object returned by a call to next() is only guaranteed to be valid until the next call to hasNext() or next(). If a consumer wants to keep a reference on the returned objects for longer than the iteration, it must make a copy of it explicitely.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isForThrift()` Whether that partition iterator is for a thrift queries.
`CFMetaData` `metadata()`

### Methods inherited from interface org.apache.cassandra.db.partitions.BasePartitionIterator

`close`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### isForThrift

    boolean isForThrift()

Whether that partition iterator is for a thrift queries.

If this is true, the partition iterator may return some empty UnfilteredRowIterator and those should be preserved as thrift include partitions that "exists" (have some cells even if this are actually deleted) but have nothing matching the query.

Returns:
  whether the iterator is for a thrift query.

#### metadata

    CFMetaData metadata()